<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xs="http://www.w3.org/2001/XMLSchema"
    exclude-result-prefixes="xs"    
    version="2.0">
    
    <xsl:output encoding="UTF-8" method="text"></xsl:output>
	
    <xsl:template match="/">
	    <xsl:text>*** Settings ***
</xsl:text>
		<xsl:for-each select="//General/Assertions/Timeout">
			<xsl:call-template name="GeneralTimeout"/>
		</xsl:for-each>
<xsl:text>Resource          ./globals.txt

*** Test Cases ***
</xsl:text>
		<xsl:for-each select="//Profile">
			<xsl:call-template name="Profile"/>
		</xsl:for-each>
    </xsl:template>
    
    <xsl:template name="Profile">
		<xsl:value-of select="@profile_id"/><xsl:text>
</xsl:text>		
		<xsl:for-each select="./Assertions/Timeout">
			<xsl:call-template name="ProfileTimeout"/>
		</xsl:for-each>

<xsl:text>    Run JADE    </xsl:text>
        <xsl:choose>
			<xsl:when test="./Assertions/ReturnCode">
				<xsl:value-of select="./Assertions/ReturnCode"/>
			</xsl:when>
			<xsl:when test="//General/Assertions/ReturnCode">
				<xsl:value-of select="//General/Assertions/ReturnCode"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:text>0</xsl:text>
			</xsl:otherwise>
		</xsl:choose>
        <xsl:choose>
			<xsl:when test="./Assertions/Timeout">
				<xsl:text>    </xsl:text><xsl:value-of select="./Assertions/Timeout"/>
			</xsl:when>
			<xsl:when test="//General/Assertions/Timeout">
				<xsl:text>    </xsl:text><xsl:value-of select="//General/Assertions/Timeout"/>
			</xsl:when>
		</xsl:choose>
<xsl:text>

</xsl:text>
    </xsl:template>

    <xsl:template name="GeneralTimeout">
<xsl:text>Test Timeout    </xsl:text><xsl:value-of select="."/><xsl:text> seconds
</xsl:text>
    </xsl:template>

    <xsl:template name="ProfileTimeout">
<xsl:text>    [Timeout]    </xsl:text><xsl:value-of select="."/><xsl:text> seconds
</xsl:text>
    </xsl:template>

</xsl:stylesheet>